Index: app.c
===================================================================
--- app.c	(revision 16741)
+++ app.c	(working copy)
@@ -600,7 +600,8 @@
 	end=start;  /* pre-initialize end to be same as start in case we never get into loop */
 	for (x=0;x<fmtcnt;x++) {
 		others[x] = ast_writefile(recordfile, sfmt[x], comment, O_TRUNC, 0, 0700);
-		ast_verbose( VERBOSE_PREFIX_3 "x=%d, open writing:  %s format: %s, %p\n", x, recordfile, sfmt[x], others[x]);
+		if (option_verbose > 2)
+			ast_verbose( VERBOSE_PREFIX_3 "x=%d, open writing:  %s format: %s, %p\n", x, recordfile, sfmt[x], others[x]);
 
 		if (!others[x]) {
 			break;
@@ -830,7 +831,8 @@
 	end=start;  /* pre-initialize end to be same as start in case we never get into loop */
 	for (x=0;x<fmtcnt;x++) {
 		others[x] = ast_writefile(prependfile, sfmt[x], comment, O_TRUNC, 0, 0700);
-		ast_verbose( VERBOSE_PREFIX_3 "x=%d, open writing:  %s format: %s, %p\n", x, prependfile, sfmt[x], others[x]);
+		if (option_verbose > 2)
+			ast_verbose( VERBOSE_PREFIX_3 "x=%d, open writing:  %s format: %s, %p\n", x, prependfile, sfmt[x], others[x]);
 		if (!others[x]) {
 			break;
 		}
@@ -979,7 +981,8 @@
 			ast_closestream(realfiles[x]);
 			ast_filerename(prependfile, recordfile, sfmt[x]);
 #if 0
-			ast_verbose("Recording Format: sfmts=%s, prependfile %s, recordfile %s\n", sfmt[x],prependfile,recordfile);
+			if (option_verbose > 2)
+				ast_verbose("Recording Format: sfmts=%s, prependfile %s, recordfile %s\n", sfmt[x],prependfile,recordfile);
 #endif
 			ast_filedelete(prependfile, sfmt[x]);
 		}
@@ -1224,17 +1227,20 @@
 			}
 		case '2':
 			/* Review */
-			ast_verbose(VERBOSE_PREFIX_3 "Reviewing the recording\n");
+			if (option_verbose > 2)
+				ast_verbose(VERBOSE_PREFIX_3 "Reviewing the recording\n");
 			ast_streamfile(chan, recordfile, chan->language);
 			cmd = ast_waitstream(chan, AST_DIGIT_ANY);
 			break;
 		case '3':
 			message_exists = 0;
 			/* Record */
-			if (recorded == 1)
-				ast_verbose(VERBOSE_PREFIX_3 "Re-recording\n");
-			else	
-				ast_verbose(VERBOSE_PREFIX_3 "Recording\n");
+			if (option_verbose > 2) {
+				if (recorded == 1)
+					ast_verbose(VERBOSE_PREFIX_3 "Re-recording\n");
+				else	
+					ast_verbose(VERBOSE_PREFIX_3 "Recording\n");
+			}
 			recorded = 1;
 			cmd = ast_play_and_record(chan, playfile, recordfile, maxtime, fmt, duration, silencethreshold, maxsilence, path);
 			if (cmd == -1) {
